Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.digests
Class RIPEMD160Digest

    java.lang.Object
      |
      +--org.bouncycastle.crypto.digests.GeneralDigest
            |
            +--org.bouncycastle.crypto.digests.RIPEMD160Digest

All Implemented Interfaces:
  Digest

public class RIPEMD160Digest
extends GeneralDigest

implementation of RIPEMD see, http://www.esat.kuleuven.ac.be/~bosselae/ripemd160.html

Constructor Summary
`RIPEMD160Digest()` Standard constructor
`RIPEMD160Digest(RIPEMD160Digest t)` Copy constructor.

Method Summary
`int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` | `getAlgorithmName()` return the algorithm name
`int` | `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
`protected void` | `processBlock()`
`protected void` | `processLength(long bitLength)`
`protected void` | `processWord(byte[] in, int inOff)`
`void` | `reset()` reset the chaining variables to the IV values.

Methods inherited from class org.bouncycastle.crypto.digests.GeneralDigest
`finish, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RIPEMD160Digest

    public RIPEMD160Digest()

  Standard constructor

### RIPEMD160Digest

    public RIPEMD160Digest(RIPEMD160Digest t)

  Copy constructor. This will copy the state of the provided message digest.

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Digest`
  return the algorithm name
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Returns:
    the algorithm name

### getDigestSize

    public int getDigestSize()

  Description copied from interface: `Digest`
  return the size, in bytes, of the digest produced by this message digest.
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Returns:
    the size, in bytes, of the digest produced by this message digest.

### processWord

    protected void processWord(byte[] in,
                               int inOff)

  Overrides:
    `processWord` in class `GeneralDigest`

### processLength

    protected void processLength(long bitLength)

  Overrides:
    `processLength` in class `GeneralDigest`

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Digest`
  close the digest, producing the final digest value. The doFinal call leaves the digest reset.
  Following copied from interface: `org.bouncycastle.crypto.Digest`
  Parameters:
    `out` - the array the digest is to be copied into.
    `outOff` - the offset into the out array the digest is to start at.

### reset

    public void reset()

  reset the chaining variables to the IV values.
  Overrides:
    `reset` in class `GeneralDigest`

### processBlock

    protected void processBlock()

  Overrides:
    `processBlock` in class `GeneralDigest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD